NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | List of all members
NXOpen.CAE.ResultMeasureResultOptions Class Reference

Represents the basic result options for result measure More...

Inheritance diagram for NXOpen.CAE.ResultMeasureResultOptions:
NXOpen.CAE.ResultMeasureResultAllOptions NXOpen.CAE.ResultMeasureResultDirectionOptions NXOpen.CAE.ResultMeasureResultDirectionSectionOptions NXOpen.CAE.ResultMeasureResultSectionOptions

Public Member Functions

unsafe void SetUnit (NXOpen.Unit tUnit)
 Set the unit More...
 
unsafe void SetAbsoluteValue (bool bAbsValue)
 Set the option to use absolute values More...
 
unsafe void SetOperation (NXOpen.CAE.ResultMeasure.Operation eOperation)
 Set the operation type More...
 
unsafe void SetPlynum (int plynum)
 Set the ply num in result option More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Detailed Description

Represents the basic result options for result measure

To obtain an instance of this class use NXOpen.CAE.ResultMeasureCollection .

Created in NX8.5.0

Member Function Documentation

override void NXOpen.CAE.ResultMeasureResultOptions.FreeResource ( )
protected

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX8.5.0

License requirements: None.

unsafe void NXOpen.CAE.ResultMeasureResultOptions.SetAbsoluteValue ( bool  bAbsValue)

Set the option to use absolute values

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bAbsValue
unsafe void NXOpen.CAE.ResultMeasureResultOptions.SetOperation ( NXOpen.CAE.ResultMeasure.Operation  eOperation)

Set the operation type

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
eOperation
unsafe void NXOpen.CAE.ResultMeasureResultOptions.SetPlynum ( int  plynum)

Set the ply num in result option

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
plynum
unsafe void NXOpen.CAE.ResultMeasureResultOptions.SetUnit ( NXOpen.Unit  tUnit)

Set the unit

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tUnit

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.